This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 6663 - Installer fails to upgrade 6.0 to 6.1.
Installer fails to upgrade 6.0 to 6.1.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-02 17:02 EST by terry
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-08 22:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description terry 1999-11-02 17:02:35 EST
I down loaded the latest images :

updates-RHEA-1999:045.img
boot-RHEA-1999:044.img

And get the following error when trying to upgrade 6.0 to
6.1

error opening security policy
file /usr/X11R6/lib/X11/xserver/SercurityPolicy

And then the system reboots...
Comment 1 Jay Turner 1999-11-03 07:58:59 EST
This message that you are getting is a red herring and actually means
nothing.  It is certainly not the reason that the machine is
rebooting.  What is going on is that the new installer is trying to
start X, but since there is not a full X implementation on the
machine, there is no way to authenticate that the user starting X is
really the person he claims to be.  The message is just alerting
someone that the system was not able to authenticate the person
starting X.  This is expected in the installation, seeing as we have
not installed the files and user accounts necessary to authenticate.

There is probably another message which is appearing just below the
one you quoted which will explain why the machine rebooted.  Send that
output to me and I will be glad to take a look at it and help you
resolve the issue.
Comment 2 terry 1999-11-03 10:14:59 EST
I reran the install and looked closely, there are no other messages
after between the X messages (standard probing info) and the
SecurityPolicy messages (2 of them) (The file does exist, it is a
standard 6.0 install with X). After the policy message there are only
messages about the system restarting...

By the way, this all happens after the installer checks out the
packages to upgrade, and after presents the dialog for Lilo and such.
Comment 3 Jay Turner 1999-11-30 10:01:59 EST
So you are not even getting something like a signal 11 before the reboot??  The
security message is really just a red herring.  Even though the file exists,
when you are running the installer, your user ID is not the same as is stored in
that file and hence the message.  Really, I can guarantee you this is not the
reason that your machine is rebooting.

Let me know if you are getting any other messages which might point to the cause
of the problem.
Comment 4 terry 1999-12-01 19:32:59 EST
I did a new install to get past the issue...

I ran out of time trying to get the upgrade to work.

Note You need to log in before you can comment on or make changes to this bug.